<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:24:21 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (org.eclipse.papyrus.designer.transformation.extensions 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (org.eclipse.papyrus.designer.transformation.extensions 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="org/eclipse/papyrus/designer/transformation/extensions/package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions"><span class="typeNameLink">Activator</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">org.eclipse.papyrus.designer.transformation.extensions</a></dt>
<dd>
<div class="block">The activator class controls the plug-in life cycle</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">Activator</a></dt>
<dd>
<div class="block">The constructor</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/IInstanceConfigurator.html#configureInstance-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.InstanceSpecification-">configureInstance(InstanceSpecification, Property, InstanceSpecification)</a></span> - Method in interface org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/IInstanceConfigurator.html" title="interface in org.eclipse.papyrus.designer.transformation.extensions">IInstanceConfigurator</a></dt>
<dd>
<div class="block">configure an instance (within a container)</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html#configureInstance-org.eclipse.papyrus.designer.deployment.profile.Deployment.UseInstanceConfigurator-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.InstanceSpecification-">configureInstance(UseInstanceConfigurator, InstanceSpecification, Property, InstanceSpecification)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">InstanceConfigurator</a></dt>
<dd>
<div class="block">Configure an instance with a given configurator</div>
</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html#getDefault--">getDefault()</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">Activator</a></dt>
<dd>
<div class="block">Returns the shared instance</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html#getInstanceConfigurator-java.lang.String-">getInstanceConfigurator(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">InstanceConfigurator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html#getM2MTrafo-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-">getM2MTrafo(M2MTrafo)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">M2MTrafoExt</a></dt>
<dd>
<div class="block">Get a reference to the M2M transformation class using the m2mTrafo element (stereotype)
 if the kind option is set, the transformation class is obtained via the kind.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html#getM2MTrafo-java.lang.String-">getM2MTrafo(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">M2MTrafoExt</a></dt>
<dd>
<div class="block">Get a transformation by passing the transformation ID</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html#getM2MTrafoForLanguage-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-java.lang.String-">getM2MTrafoForLanguage(M2MTrafo, String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">M2MTrafoExt</a></dt>
<dd>
<div class="block">The a language specific M2M transformation from a generic one, provided that the following
 convention is applied: a language specific transformation is registered by appending the language
 name and :: as separator as transformation ID</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html#getM2MTrafos-org.eclipse.uml2.uml.Element-">getM2MTrafos(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">M2MTrafoExt</a></dt>
<dd>
<div class="block">Obtain a list of M2M transformations that are explicitly applied to a model element</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/TextTemplateExt.html#getTextTemplate-java.lang.String-">getTextTemplate(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/TextTemplateExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">TextTemplateExt</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html#IINSTANCE_CONFIG_ID">IINSTANCE_CONFIG_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">InstanceConfigurator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/extensions/IInstanceConfigurator.html" title="interface in org.eclipse.papyrus.designer.transformation.extensions"><span class="typeNameLink">IInstanceConfigurator</span></a> - Interface in <a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">org.eclipse.papyrus.designer.transformation.extensions</a></dt>
<dd>
<div class="block">Interface used by Qompass extensions that supports specific instance configurators,
 used for containers.</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/extensions/IM2MTrafo.html" title="interface in org.eclipse.papyrus.designer.transformation.extensions"><span class="typeNameLink">IM2MTrafo</span></a> - Interface in <a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">org.eclipse.papyrus.designer.transformation.extensions</a></dt>
<dd>
<div class="block">Common interface for model transformations.</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions"><span class="typeNameLink">InstanceConfigurator</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">org.eclipse.papyrus.designer.transformation.extensions</a></dt>
<dd>
<div class="block">Support for the configuration of instances via the Eclipse extension mechanism</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html#InstanceConfigurator--">InstanceConfigurator()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">InstanceConfigurator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/Messages.html#InstanceConfigurator_InvalidPluginExtension">InstanceConfigurator_InvalidPluginExtension</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/Messages.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/TextTemplateExt.html#ITEMPLATE_ID">ITEMPLATE_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/TextTemplateExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">TextTemplateExt</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/extensions/ITextTemplate.html" title="interface in org.eclipse.papyrus.designer.transformation.extensions"><span class="typeNameLink">ITextTemplate</span></a> - Interface in <a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">org.eclipse.papyrus.designer.transformation.extensions</a></dt>
<dd>
<div class="block">This interface needs to be implemented by the classes that implement text
 transformations.</div>
</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html#log">log</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html#M2M_TRAFO">M2M_TRAFO</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">M2MTrafoExt</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions"><span class="typeNameLink">M2MTrafoExt</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">org.eclipse.papyrus.designer.transformation.extensions</a></dt>
<dd>
<div class="block">Support for binding helper</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html#M2MTrafoExt--">M2MTrafoExt()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">M2MTrafoExt</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/extensions/Messages.html" title="class in org.eclipse.papyrus.designer.transformation.extensions"><span class="typeNameLink">Messages</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">org.eclipse.papyrus.designer.transformation.extensions</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html#onNodeModel">onNodeModel</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/InstanceConfigurator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">InstanceConfigurator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">org.eclipse.papyrus.designer.transformation.extensions</a> - package org.eclipse.papyrus.designer.transformation.extensions</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html#PLUGIN_ID">PLUGIN_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html#start-org.osgi.framework.BundleContext-">start(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html#stop-org.osgi.framework.BundleContext-">stop(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/extensions/TextTemplateExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions"><span class="typeNameLink">TextTemplateExt</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">org.eclipse.papyrus.designer.transformation.extensions</a></dt>
<dd>
<div class="block">Support for embedding text templates</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/TextTemplateExt.html#TextTemplateExt--">TextTemplateExt()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/TextTemplateExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">TextTemplateExt</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html#TRANSFORMATION_ID">TRANSFORMATION_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.extensions.<a href="org/eclipse/papyrus/designer/transformation/extensions/M2MTrafoExt.html" title="class in org.eclipse.papyrus.designer.transformation.extensions">M2MTrafoExt</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="org/eclipse/papyrus/designer/transformation/extensions/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="org/eclipse/papyrus/designer/transformation/extensions/package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
